DF(1)

BEZEICHNUNG
df - Anzeige der Dateisystembelegung

ÜBERSICHT
df [OPTION]… [DATEI]…

BESCHREIBUNG
Diese Handbuchseite beschreibt die GNU-Version von df. df zeigt den verfügbaren Platz auf den Dateisystemen an, die die als Argumente übergebenen Dateinamen enthalten. Wenn kein Dateiname übergeben wurde, wird der verfügbare Platz auf allen derzeit eingehängten Dateisystemen angezeigt. Standardmäßig wird der Platz in 1K-Blöcken angezeigt. Falls die Umgebungsvariable POSIXLY_CORRECT gesetzt ist, werden 512 Byte große Blöcke verwendet.

Falls ein Argument dem absoluten Dateinamen eines Geräteknotens entspricht, der ein eingehängtes Dateisystem enthält, zeigt df den verfügbaren Platz auf diesem Dateisystem anstelle des Dateisystems an, das den Geräteknoten enthält (welches immer das Wurzeldateisystem ist). Diese Version von df kann den verfügbaren Platz auf ausgehängten Dateisystemen nicht anzeigen, weil dafür auf den meisten Systemen eine sehr profunde Kenntnis von Strukturen des Dateisystems notwendig ist, die zudem nicht portierbar ist.

OPTIONEN

Anzeige von Informationen über die Dateisysteme, auf denen sich jede DATEI befindet, oder standardmäßig alle Dateisysteme.

Die zwingend erforderlichen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-a, --all
    schließt Pseudodateisysteme sowie Duplikate ein und solche, auf die nicht zugegriffen werden kann

-B, --block-size=GRÖSSE
    Größen mit GRÖSSE skalieren, bevor sie ausgegeben werden. Siehe das Format von GRÖSSE unten. Beispielsweise gibt »-BM« Größen in Einheiten von 1.048.576 Byte aus.

-h, --human-readable
    Größen in Potenzen von 1024 ausgeben (z.B. 1023M)

-H, --si
    Größen in Potenzen von 1000 ausgeben (z.B. 1.1G)

-i, --inodes
    Inode‐Informationen statt der Block‐Benutzung auflisten

-k  Wie --block-size=1K

-l, --local
    Liste auf lokale Dateisysteme begrenzen

--no-sync
    Nicht »sync« vor Erlangen der Benutzungsinformation aufrufen (Standardvorgabe)

--output[=FELDLISTE]
    das durch FELDLISTE angegebene Ausgabeformat verwenden oder alle Felder ausgeben, falls FELDLISTE nicht angegeben wurde

-P, --portability
    POSIX‐Ausgabeformat verwenden

--sync
    »sync« vor Erlangen der Benutzungsinformation aufrufen

--total
    übergeht alle Einträge, die für den verfügbaren Platz nicht relevant sind und gibt eine Gesamtsumme aus

-t, --type=TYP
    Liste auf Dateisysteme des Typs TYP begrenzen

-T, --print-type
    Typ des Dateisystems ausgeben

-x, --exclude-type=TYP
    Liste auf Dateisysteme begrenzen, die nicht vom Typ TYP sind

-v  (ignoriert)

--help
    Zeigt Hilfeinformationen an und beendet das Programm.

--version
    Gibt Versionsinformationen aus und beendet das Programm.

Die Einheit der angezeigten Werte ist die erste verfügbare GRÖSSE aus --block-size oder einer der Umgebungsvariablen DF_BLOCK_SIZE, BLOCK_SIZE und BLOCKSIZE. Anderenfalls ist die voreingestellte Einheit 1024 Byte (oder 512, falls POSIXLY_CORRECT gesetzt ist).

GRÖSSE ist eine Ganzzahl und optionale Einheit (Beispiel: 10K ist 10*1024). Einheiten sind K, M, G, T, P, E, Z, Y, R, Q (Potenzen von 1024) oder KB, MB, … (Potenzen von 1000). Es können auch binäre Präfixe verwandt werden: KiB=K, MiB=M und so weiter.

FELDLISTE ist eine Komma-getrennte Liste von Spalten, die eingeschlossen werden sollen. Gültige Feldnamen sind: »source«, »fstype«, »itotal«, »iused«, »iavail«, »ipcent«, »size«, »used«, »avail«, »pcent«, »file« und »target« (siehe Info-Seite).

AUTOR
Geschrieben von Torbjörn Granlund, David MacKenzie und Paul Eggert.

FEHLER MELDEN
Melden Sie Fehler (auf Englisch) an bug-coreutils@gnu.org.
Website der GNU Coreutils: https://www.gnu.org/software/coreutils/
Allgemeine Hilfe zur Benutzung von GNU-Software: https://www.gnu.org/gethelp/
Melden Sie Fehler in der Programmübersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

SIEHE AUCH
Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/df>
oder lokal verfügbar mit: info '(coreutils) df invocation'

Paketiert durch Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Lizenz GPLv3+: GNU GPL Version 3 oder neuer https://gnu.org/licenses/gpl.html
Dies ist freie Software: Sie können sie verändern und weitergeben.
Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Mario Blättermann <mario.blaettermann@gmail.com> und Dr. Tobias Quathamer <toddy@debian.org> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).